module JamRuby
  class HourlyJob
    extend Resque::Plugins::JamLonelyJob

    @queue = :scheduled_hourly_job
    @@log = Logging.logger[HourlyJob]

    def self.perform
        @@log.info("waking up")

        #LessonBooking.hourly_check
        #LessonSession.hourly_check
        #TeacherPayment.hourly_check
        User.hourly_check
        ConnectionManager.new.cleanup_dangling

        @@log.info("done")
    end
  end
end
